import CheckoutIntents from 'checkout-intents';
const client = new CheckoutIntents({
apiKey: process.env['CHECKOUT_INTENTS_API_KEY'], // This is the default and can be omitted
});
const order = await client.checkoutIntents.retrieveOrder('id');
console.log(order.id);import os
from checkout_intents import CheckoutIntents
client = CheckoutIntents(
api_key=os.environ.get("CHECKOUT_INTENTS_API_KEY"), # This is the default and can be omitted
)
order = client.checkout_intents.retrieve_order(
"id",
)
print(order.id)package com.rye.example;
import com.rye.client.CheckoutIntentsClient;
import com.rye.client.okhttp.CheckoutIntentsOkHttpClient;
import com.rye.models.checkoutintents.CheckoutIntentRetrieveOrderParams;
import com.rye.models.orders.Order;
public final class Main {
private Main() {}
public static void main(String[] args) {
CheckoutIntentsClient client = CheckoutIntentsOkHttpClient.fromEnv();
Order order = client.checkoutIntents().retrieveOrder("id");
}
}curl https://staging.api.rye.com/api/v1/checkout-intents/$ID/order \
-H "Authorization: Bearer $CHECKOUT_INTENTS_API_KEY"
{
"id": "<string>",
"checkoutIntentId": "ci_aaa8af5c5aae4c0e8ef0172c26c65c13",
"buyer": {
"postalCode": "10001",
"country": "US",
"province": "NY",
"city": "New York",
"address1": "123 Main St",
"phone": "1234567890",
"email": "john.doe@example.com",
"lastName": "Doe",
"firstName": "John",
"address2": "Apt 1"
},
"createdAt": "2026-03-25T00:00:00Z",
"updatedAt": "2026-03-27T00:00:00Z",
"cancellation": {
"reason": {
"code": "requested_by_customer",
"message": "<string>"
},
"marketplaceOrderId": "<string>",
"checkoutIntentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"state": "requested"
},
"referenceId": "order-1234"
}{
"name": "<string>",
"message": "<string>",
"stack": "<string>"
}{
"name": "<string>",
"message": "<string>",
"stack": "<string>"
}Retrieve order
Retrieve the order associated with a checkout intent.
Returns the single order created when the checkout intent reached the
completed state. 404 if the intent has not produced an order yet.
import CheckoutIntents from 'checkout-intents';
const client = new CheckoutIntents({
apiKey: process.env['CHECKOUT_INTENTS_API_KEY'], // This is the default and can be omitted
});
const order = await client.checkoutIntents.retrieveOrder('id');
console.log(order.id);import os
from checkout_intents import CheckoutIntents
client = CheckoutIntents(
api_key=os.environ.get("CHECKOUT_INTENTS_API_KEY"), # This is the default and can be omitted
)
order = client.checkout_intents.retrieve_order(
"id",
)
print(order.id)package com.rye.example;
import com.rye.client.CheckoutIntentsClient;
import com.rye.client.okhttp.CheckoutIntentsOkHttpClient;
import com.rye.models.checkoutintents.CheckoutIntentRetrieveOrderParams;
import com.rye.models.orders.Order;
public final class Main {
private Main() {}
public static void main(String[] args) {
CheckoutIntentsClient client = CheckoutIntentsOkHttpClient.fromEnv();
Order order = client.checkoutIntents().retrieveOrder("id");
}
}curl https://staging.api.rye.com/api/v1/checkout-intents/$ID/order \
-H "Authorization: Bearer $CHECKOUT_INTENTS_API_KEY"
{
"id": "<string>",
"checkoutIntentId": "ci_aaa8af5c5aae4c0e8ef0172c26c65c13",
"buyer": {
"postalCode": "10001",
"country": "US",
"province": "NY",
"city": "New York",
"address1": "123 Main St",
"phone": "1234567890",
"email": "john.doe@example.com",
"lastName": "Doe",
"firstName": "John",
"address2": "Apt 1"
},
"createdAt": "2026-03-25T00:00:00Z",
"updatedAt": "2026-03-27T00:00:00Z",
"cancellation": {
"reason": {
"code": "requested_by_customer",
"message": "<string>"
},
"marketplaceOrderId": "<string>",
"checkoutIntentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"state": "requested"
},
"referenceId": "order-1234"
}{
"name": "<string>",
"message": "<string>",
"stack": "<string>"
}{
"name": "<string>",
"message": "<string>",
"stack": "<string>"
}Authorizations
Rye API key
Path Parameters
The id of the checkout intent to look up
Response
The order
Represents a completed order. Orders are created after a checkout intent reaches
the completed state.
ID of the checkout intent that was responsible for creating this order.
"ci_aaa8af5c5aae4c0e8ef0172c26c65c13"
Buyer and shipping-address details captured for this order.
Show child attributes
Show child attributes
Timestamp the order was persisted to Rye.
"2026-03-25T00:00:00Z"
Timestamp the order was last updated at
"2026-03-27T00:00:00Z"
The cancellation for this order, or null if none has been requested.
Populated by joining the separate cancellations collection on the order's
marketplace order id.
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
The referenceId you supplied on the checkout intent, echoed back so you
can reconcile this order against your own records. Absent when none was
supplied.
"order-1234"
Was this page helpful?

